﻿using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace HealthMonitor.Service.Sub.Topic.Model
{
    public class TopicHmBloodPress
    {
        [JsonProperty("ts")]
        public long Ts { get; set; } = default!;
        [JsonProperty("bloodpress_id")]
        public string BloodPressId { get; set; } = default!;
        [JsonProperty("message_id")]
        public string MessageId { get; set; } = default!;
        [JsonProperty("serialno")]
        public string Serialno { get; set; } = default!;
        [JsonProperty("systolic_value")]
        public int SystolicValue { get; set; }
        [JsonProperty("diastolic_value")]
        public int DiastolicValue { get; set; }
        [JsonProperty("create_time")]
        public long LastUpdate { get; set; }
        [JsonProperty("last_update")]
        public long CreateTime { get; set; }
        [JsonProperty("method")]
        public int Method { get; set; }
        [JsonProperty("is_display")]
        public bool IsDisplay { get; set; } 
    }
}
